Submitted By:            Armin K. <krejzi at email dot com>
Date:                    2015-07-23
Initial Package Version: 211
Upstream Status:         Not applicable
Origin:                  Self
Description:             Make it install compat pkg-config files without
                         building compat-libs which are useless on LFS.

--- a/Makefile.am	2015-07-09 15:08:57.493253596 +0200
+++ b/Makefile.am	2015-07-09 15:59:12.601497718 +0200
@@ -2962,7 +2962,11 @@
 UNINSTALL_EXEC_HOOKS += libsystemd-uninstall-hook
 
 pkgconfiglib_DATA += \
-	src/libsystemd/libsystemd.pc
+	src/libsystemd/libsystemd.pc \
+	src/compat-libs/libsystemd-journal.pc \
+	src/compat-libs/libsystemd-login.pc \
+	src/compat-libs/libsystemd-id128.pc \
+	src/compat-libs/libsystemd-daemon.pc
 
 pkginclude_HEADERS += \
 	src/systemd/sd-bus.h \
@@ -5868,12 +5872,6 @@
 	libsystemd-id128.la \
 	libsystemd-daemon.la
 
-pkgconfiglib_DATA += \
-	src/compat-libs/libsystemd-journal.pc \
-	src/compat-libs/libsystemd-login.pc \
-	src/compat-libs/libsystemd-id128.pc \
-	src/compat-libs/libsystemd-daemon.pc
-
 # move lib from $(libdir) to $(rootlibdir) and update devel link, if needed
 compat-lib-install-hook:
 	libname=libsystemd-login.so && $(move-to-rootlibdir)
--- a/Makefile.in	2015-07-09 15:09:26.055904217 +0200
+++ b/Makefile.in	2015-07-09 15:59:35.782076801 +0200
@@ -1248,34 +1248,28 @@
 @ENABLE_COMPAT_LIBS_TRUE@	libsystemd-id128.la \
 @ENABLE_COMPAT_LIBS_TRUE@	libsystemd-daemon.la
 
-@ENABLE_COMPAT_LIBS_TRUE@am__append_307 = \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-journal.pc \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-login.pc \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-id128.pc \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-daemon.pc
-
-@ENABLE_COMPAT_LIBS_TRUE@am__append_308 = compat-lib-install-hook
-@ENABLE_COMPAT_LIBS_TRUE@am__append_309 = compat-lib-uninstall-hook
-@ENABLE_MANPAGES_TRUE@am__append_310 = \
+@ENABLE_COMPAT_LIBS_TRUE@am__append_307 = compat-lib-install-hook
+@ENABLE_COMPAT_LIBS_TRUE@am__append_308 = compat-lib-uninstall-hook
+@ENABLE_MANPAGES_TRUE@am__append_309 = \
 @ENABLE_MANPAGES_TRUE@	man/custom-entities.ent
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_311 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_310 = \
 @HAVE_SYSV_COMPAT_TRUE@	docs/sysvinit/README \
 @HAVE_SYSV_COMPAT_TRUE@	docs/var-log/README
 
-@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_312 = \
+@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_311 = \
 @HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@	systemd-update-utmp-runlevel.service
 
-@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_313 = \
+@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_312 = \
 @HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@	systemd-update-utmp-runlevel.service
 
-@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_314 = \
+@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_313 = \
 @HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@	systemd-update-utmp-runlevel.service
 
-@HAVE_UTMP_TRUE@am__append_315 = \
+@HAVE_UTMP_TRUE@am__append_314 = \
 @HAVE_UTMP_TRUE@	systemd-update-utmp.service
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_316 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_315 = \
 @HAVE_SYSV_COMPAT_TRUE@	poweroff.target runlevel0.target \
 @HAVE_SYSV_COMPAT_TRUE@	rescue.target runlevel1.target \
 @HAVE_SYSV_COMPAT_TRUE@	multi-user.target runlevel2.target \
@@ -1284,28 +1278,28 @@
 @HAVE_SYSV_COMPAT_TRUE@	graphical.target runlevel5.target \
 @HAVE_SYSV_COMPAT_TRUE@	reboot.target runlevel6.target
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_317 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_316 = \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel1.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel2.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel3.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel4.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel5.target.wants
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_318 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_317 = \
 @HAVE_SYSV_COMPAT_TRUE@	--with-sysvinit-path=$$dc_install_base/$(sysvinitdir) \
 @HAVE_SYSV_COMPAT_TRUE@	--with-sysvrcnd-path=$$dc_install_base/$(sysvrcnddir)
 
-@HAVE_SYSV_COMPAT_FALSE@am__append_319 = \
+@HAVE_SYSV_COMPAT_FALSE@am__append_318 = \
 @HAVE_SYSV_COMPAT_FALSE@	--with-sysvinit-path= \
 @HAVE_SYSV_COMPAT_FALSE@	--with-sysvrcnd-path=
 
-@HAVE_PYTHON_TRUE@am__append_320 = \
+@HAVE_PYTHON_TRUE@am__append_319 = \
 @HAVE_PYTHON_TRUE@	--with-python
 
-@ENABLE_SPLIT_USR_TRUE@am__append_321 = \
+@ENABLE_SPLIT_USR_TRUE@am__append_320 = \
 @ENABLE_SPLIT_USR_TRUE@	--enable-split-usr
 
-@ENABLE_SPLIT_USR_FALSE@am__append_322 = \
+@ENABLE_SPLIT_USR_FALSE@am__append_321 = \
 @ENABLE_SPLIT_USR_FALSE@	--disable-split-usr
 
 subdir = .
@@ -5114,10 +5108,10 @@
 	install-touch-usr-hook install-busnames-target-wants-hook \
 	systemd-detect-virt-install-hook dbus1-generator-install-hook \
 	$(am__append_110) libsystemd-install-hook libudev-install-hook \
-	$(am__append_133) journal-install-hook $(am__append_308)
+	$(am__append_133) journal-install-hook $(am__append_307)
 UNINSTALL_EXEC_HOOKS = dbus1-generator-uninstall-hook \
 	libsystemd-uninstall-hook libudev-uninstall-hook \
-	journal-uninstall-hook $(am__append_309)
+	journal-uninstall-hook $(am__append_308)
 INSTALL_DATA_HOOKS = units-install-hook $(am__append_124) \
 	catalog-update-hook
 UNINSTALL_DATA_HOOKS = units-uninstall-hook catalog-remove-hook
@@ -5155,7 +5149,10 @@
 noinst_DATA = $(am__append_61) $(am__append_63)
 pkgconfigdata_DATA = src/core/systemd.pc src/udev/udev.pc
 pkgconfiglib_DATA = src/libsystemd/libsystemd.pc \
-	src/libudev/libudev.pc $(am__append_307)
+	src/compat-libs/libsystemd-journal.pc \
+	src/compat-libs/libsystemd-login.pc \
+	src/compat-libs/libsystemd-id128.pc \
+	src/compat-libs/libsystemd-daemon.pc src/libudev/libudev.pc
 polkitpolicy_in_in_files =  \
 	src/core/org.freedesktop.systemd1.policy.in.in
 polkitpolicy_in_files =  \
@@ -5250,7 +5247,7 @@
 	$(nodist_zshcompletion_DATA) $(am__append_62) $(am__append_64) \
 	$(gperf_txt_sources:-list.txt=-from-name.gperf) \
 	$(gperf_txt_sources) $(am__append_107) $(am__append_161) \
-	$(am__append_310) $(am__append_311) defined undefined \
+	$(am__append_309) $(am__append_310) defined undefined \
 	test-libsystemd-sym.c test-libudev-sym.c
 AM_CPPFLAGS = \
 	-include $(top_builddir)/config.h \
@@ -5328,7 +5325,7 @@
 # ------------------------------------------------------------------------------
 INSTALL_DIRS = $(am__append_88) $(am__append_92) \
 	$(sysconfdir)/udev/rules.d $(am__append_121) $(am__append_165) \
-	$(am__append_295) $(am__append_317) \
+	$(am__append_295) $(am__append_316) \
 	$(prefix)/lib/modules-load.d $(sysconfdir)/modules-load.d \
 	$(prefix)/lib/systemd/network $(sysconfdir)/systemd/network \
 	$(prefix)/lib/sysctl.d $(sysconfdir)/sysctl.d \
@@ -5343,9 +5340,9 @@
 LOCAL_FS_TARGET_WANTS = systemd-remount-fs.service tmp.mount \
 	var-lib-machines.mount
 MULTI_USER_TARGET_WANTS = $(am__append_296) $(am__append_303) \
-	$(am__append_312) getty.target systemd-ask-password-wall.path
-GRAPHICAL_TARGET_WANTS = $(am__append_313)
-RESCUE_TARGET_WANTS = $(am__append_314)
+	$(am__append_311) getty.target systemd-ask-password-wall.path
+GRAPHICAL_TARGET_WANTS = $(am__append_312)
+RESCUE_TARGET_WANTS = $(am__append_313)
 SYSINIT_TARGET_WANTS = $(am__append_71) $(am__append_78) \
 	$(am__append_80) $(am__append_85) $(am__append_91) \
 	$(am__append_95) systemd-machine-id-commit.service \
@@ -5354,7 +5351,7 @@
 	systemd-journal-flush.service \
 	systemd-journal-catalog-update.service $(am__append_166) \
 	$(am__append_170) $(am__append_178) $(am__append_186) \
-	$(am__append_315) systemd-update-done.service \
+	$(am__append_314) systemd-update-done.service \
 	dev-hugepages.mount dev-mqueue.mount sys-kernel-config.mount \
 	sys-kernel-debug.mount sys-fs-fuse-connections.mount \
 	systemd-sysctl.service systemd-ask-password-console.path
@@ -5373,7 +5370,7 @@
 SYSTEM_UNIT_ALIASES = $(am__append_193) $(am__append_204) \
 	$(am__append_215) $(am__append_239) $(am__append_246) \
 	$(am__append_258) $(am__append_277) $(am__append_297) \
-	$(am__append_316) graphical.target default.target \
+	$(am__append_315) graphical.target default.target \
 	reboot.target ctrl-alt-del.target getty@.service \
 	autovt@.service
 USER_UNIT_ALIASES = $(systemunitdir)/shutdown.target shutdown.target \
@@ -9071,8 +9068,8 @@
 	--with-pamlibdir=$$dc_install_base/$(pamlibdir) \
 	--with-pamconfdir=$$dc_install_base/$(pamconfdir) \
 	--with-rootprefix=$$dc_install_base --enable-compat-libs \
-	$(am__append_318) $(am__append_319) $(am__append_320) \
-	$(am__append_321) $(am__append_322)
+	$(am__append_317) $(am__append_318) $(am__append_319) \
+	$(am__append_320) $(am__append_321)
 www_target = www.freedesktop.org:/srv/www.freedesktop.org/www/software/systemd
 OBJECT_VARIABLES := $(filter %_OBJECTS,$(.VARIABLES))
 ALL_OBJECTS := $(foreach v,$(OBJECT_VARIABLES),$($(v)))
